- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions
AlterableGraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseGraphComponent>
class lemon::concepts::AlterableGraphComponent< BAS >

This class describes the interface of alterable undirected graphs. It extends AlterableDigraphComponent with the alteration notifier interface of undirected graphs. It implements an observer-notifier pattern for the edges. More obsevers can be registered into the notifier and whenever an alteration occured in the graph all the observers will be notified about it.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for AlterableGraphComponent< BAS >:
[legend]

## Public Types
typedef AlterationNotifier < AlterableGraphComponent, Edge > | EdgeNotifier
| Edge alteration notifier class.
Public Types inherited from AlterableDigraphComponent< BAS >
typedef AlterationNotifier < AlterableDigraphComponent, Node > | NodeNotifier
| Node alteration notifier class.
typedef AlterationNotifier < AlterableDigraphComponent, Arc > | ArcNotifier
| Arc alteration notifier class.

## Public Member Functions
EdgeNotifier & | notifier (Edge) const
| Return the edge alteration notifier. More...
Public Member Functions inherited from AlterableDigraphComponent< BAS >
NodeNotifier & | notifier (Node) const
| Return the node alteration notifier. More...
ArcNotifier & | notifier (Arc) const
| Return the arc alteration notifier. More...

## Member Function Documentation

EdgeNotifier& notifier | ( | Edge |  | ) | const
| inline

This function gives back the edge alteration notifier.